OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ATI.DrawBuffers

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIDrawBuffers :: MonadIO m => m Bool
- gl_ATI_draw_buffers :: Bool
- pattern GL_DRAW_BUFFER0_ATI :: GLenum
- pattern GL_DRAW_BUFFER10_ATI :: GLenum
- pattern GL_DRAW_BUFFER11_ATI :: GLenum
- pattern GL_DRAW_BUFFER12_ATI :: GLenum
- pattern GL_DRAW_BUFFER13_ATI :: GLenum
- pattern GL_DRAW_BUFFER14_ATI :: GLenum
- pattern GL_DRAW_BUFFER15_ATI :: GLenum
- pattern GL_DRAW_BUFFER1_ATI :: GLenum
- pattern GL_DRAW_BUFFER2_ATI :: GLenum
- pattern GL_DRAW_BUFFER3_ATI :: GLenum
- pattern GL_DRAW_BUFFER4_ATI :: GLenum
- pattern GL_DRAW_BUFFER5_ATI :: GLenum
- pattern GL_DRAW_BUFFER6_ATI :: GLenum
- pattern GL_DRAW_BUFFER7_ATI :: GLenum
- pattern GL_DRAW_BUFFER8_ATI :: GLenum
- pattern GL_DRAW_BUFFER9_ATI :: GLenum
- pattern GL_MAX_DRAW_BUFFERS_ATI :: GLenum
- glDrawBuffersATI :: MonadIO m => GLsizei -> Ptr GLenum -> m ()

# Extension Support

glGetATIDrawBuffers :: MonadIO m => m Bool Source #

Is the ATI_draw_buffers extension supported?

gl_ATI_draw_buffers :: Bool Source #

Is the ATI_draw_buffers extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIDrawBuffers` in those cases instead.

# Enums

pattern GL_DRAW_BUFFER0_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER10_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER11_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER12_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER13_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER14_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER15_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER1_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER2_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER3_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER4_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER5_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER6_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER7_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER8_ATI :: GLenum Source #

pattern GL_DRAW_BUFFER9_ATI :: GLenum Source #

pattern GL_MAX_DRAW_BUFFERS_ATI :: GLenum Source #

# Functions

glDrawBuffersATI Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type DrawBufferMode.
-> m () |

This command is an alias for `glDrawBuffers`.